const indexControls = document.querySelector('.index-controls');

const updateIndexView = function updateIndexVier() {
  const formData = Object.fromEntries(new FormData(indexControls));
  const entries = document.querySelectorAll('.index-entry');
  entries.forEach((entry) => {
    if (formData.letter) {
      if (entry.dataset.letter === formData.letter) {
        entry.classList.remove('hidden');
      } else {
        entry.classList.add('hidden');
      }
    } else {
      entry.classList.remove('hidden');
    }
  });
};

if (indexControls) {
  document.addEventListener('DOMContentLoaded', updateIndexView);
  indexControls.addEventListener('change', updateIndexView);
}
